TV_VALIDATE_GRABBER(1)

NAME
tv_validate_grabber - Validate that an xmltv grabber works correctly

SYNOPSIS
tv_validate_grabber --help

tv_validate_grabber [--config-file <configfile>] [--keep-files] <cmd>

DESCRIPTION
tv_validate_grabber runs a grabber through a series of test to determine if it follows the recommendations described at <http://membled.com/twiki/bin/view/Main/XmltvCapabilities>

tv_validate_grabber does not assume that the grabber is written in perl. The command does not have to be a single executable, it can also be a complete command-line:

tv_validate_grabber "perl -I lib grab/new/tv_grab_new"

OPTIONS
--config-file <configfile> Use the specified file as configuration file for the grabber. If the file does not exist, the grabber is run with --configure to create it. Default is to always run the grabber with --configure first and store the configuration in a temporary file.

--keep-files Do not delete the output-files generated during the validation.

AUTHOR
Mattias Holmlund, mattias -at- holmlund -dot- se.

COPYRIGHT
Copyright (C) 2005 Mattias Holmlund.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.